/***************************************************************************
***
***    Copyright 2007  Hon Hai Precision Ind. Co. Ltd.
***    All Rights Reserved.
***    No portions of this material shall be reproduced in any form without the
***    written permission of Hon Hai Precision Ind. Co. Ltd.
***
***    All information contained in this document is Hon Hai Precision Ind.  
***    Co. Ltd. company private, proprietary, and trade secret property and 
***    are protected by international intellectual property laws and treaties.
***
****************************************************************************/

#ifndef __WPS_LED_H__
#define __WPS_LED_H__

#define WPS_LED_GPIO            28

#define WPS_LED_IOCTL_NUM   'W'

#define WPS_LED_BLINK_NORMAL   _IOWR(WPS_LED_IOCTL_NUM, 0, int *)
#define WPS_LED_BLINK_QUICK    _IOWR(WPS_LED_IOCTL_NUM, 1, int *)
#define WPS_LED_BLINK_OFF      _IOWR(WPS_LED_IOCTL_NUM, 2, int *)
#define WPS_LED_CHANGE_GREEN   _IOWR(WPS_LED_IOCTL_NUM, 3, int *)
#define WPS_LED_CHANGE_AMBER   _IOWR(WPS_LED_IOCTL_NUM, 4, int *)
#define WPS_LED_BLINK_QUICK2   _IOWR(WPS_LED_IOCTL_NUM, 5, int *)


/* For USB LED */
#define USB_LED_STATE_ON       _IOWR(WPS_LED_IOCTL_NUM, 6, int *)
#define USB_LED_STATE_OFF      _IOWR(WPS_LED_IOCTL_NUM, 7, int *)



/* For WLAN LED, temp solution */
#define WLAN_LED_STATE_ON       _IOWR(WPS_LED_IOCTL_NUM, 8, int *)
#define WLAN_LED_STATE_OFF      _IOWR(WPS_LED_IOCTL_NUM, 9, int *)

#define WPS_LED_BLINK_AP_LOCKDOWN   _IOWR(WPS_LED_IOCTL_NUM, 18, int *)

#define DEV_WPS_LED             "/dev/wps_led"


#endif
